import * as $dara from '@darabonba/typescript';
import { UpgradeBackupPolicyVersionResponseBody } from "./UpgradeBackupPolicyVersionResponseBody";
export declare class UpgradeBackupPolicyVersionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpgradeBackupPolicyVersionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
